Groovy 1.7.0

## org.codehaus.groovy.tools.groovydoc
Class GroovyRootDocBuilder

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

    class GroovyRootDocBuilder
    extends Object

Constructor Summary
`GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List links, Properties properties)`

Method Summary
`void` | `buildTree(List filenames)`
`Map` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `processPackageInfo(String src, String filename, SimpleGroovyPackageDoc packageDoc)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyRootDocBuilder

    public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List links, Properties properties)

Method Detail

### buildTree

    public void buildTree(List filenames)

### getClassDocsFromSingleSource

    public Map getClassDocsFromSingleSource(String packagePath, String file, String src)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### processPackageInfo

    public void processPackageInfo(String src, String filename, SimpleGroovyPackageDoc packageDoc)

Copyright © 2003-2009 The Codehaus. All rights reserved.